.pager__items {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-block: var(--anrt-spacing-333) 0;
  padding-left: 0;
  list-style: none;
  gap: var(--anrt-spacing-066);

  @media (min-width: 48rem) {
    flex-direction: row;
  }
}

.pager__item {
  &:not(.pager__item--previous, .pager__item--next) {
    display: none;

    @media (min-width: 48rem) {
      display: block;
    }
  }

  a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 48px;
    text-decoration: none;
    border: 1px solid var(--anrt-color-white);
    border-radius: 9999px;

    &:is(:hover, :focus, :focus-within) {
      text-decoration: none;
      border: 1px solid var(--anrt-color-blue-21);
      background: var(--anrt-color-blue-21);
    }

    @media (min-width: 48rem) {
      width: auto;
      min-width: 48px;
    }
  }

  &.is-active a {
    color: var(--anrt-color-blue-21);
    background: var(--anrt-color-white);

    &:is(:hover, :focus, :focus-within) {
      border: 1px solid var(--anrt-color-white);
    }
  }

  svg {
    display: block;
  }
}

/*
.pager__item a:hover {
  text-decoration: underline;
}
*/

.pager__item--previous {
  margin-right: var(--anrt-spacing-066);
}

.pager__item--next {
  @media (min-width: 48rem) {
    margin-left: var(--anrt-spacing-066);
  }
}

.pager__item--first a,
.pager__item--last a {
  padding-inline: var(--anrt-spacing-050);
}

.pager__item--first svg {
  padding-right: var(--anrt-spacing-016);
}

.pager__item--last svg {
  padding-left: var(--anrt-spacing-016);
}

.pager__item--ellipsis {
  font-size: var(--anrt-font-size-150);
}
